/*
Theme Name: Lightning Child Sample
Theme URI:
Template: lightning
Description:
Author:
Tags:
Version: 0.6.1
*/

/************************************************
 * 独自のカスタマイズを定義
 */

 /*******************
全体共通スタイリング
*/

/* 変数の定義 (seki 202608) */
:root {
  /* メインカラー */
  --maincolor-pink: #f1c6d4;
  --maincolor-blue: #82c4de;
  --maincolor-orange: #f4c58c;
  --maincolor-beige: #fff7e3;
  --maincolor-lightbeige: #fffcf6;
  --maincolor-deepbrown: #2f0504;
  --maincolor-white: #fff;
  --maincolor-red: #FF7070;
  /* 角丸数値 */
  --radius-value-l: 20px;
  --radius-value-s: 5px;
  --radius-value-xs: 2px;
  /* マージン数値 */
  --margin-s-pc: 24px;
  --margin-s-sp: 21px;
}

/* PCとSPでの表示切り替え (seki 20250328) */
.c_content--pc {
    img {
        display: block;
    }
}
.c_content--sp {
    img {
        display: none;
    }
}
@media screen and (max-width: 600px) {
        .c_content--pc {
            img {
                display: none;
            }
        }
}
@media screen and (max-width: 600px) {
	.c_content--sp {
        img {
            display: block;
        }
	}
}

/* 見出しのフォントを設定 (seki 202608) */
h1, h2, h3, h4, h5, h6, .c_font-roundgothic {
	font-family: "Zen Maru Gothic", serif;
	font-weight: 700;
}

/* 飾り用英語フォントを設定 (seki 202608) */
.c_font-decoenglish {
    font-family: "Homemade Apple", serif;
    font-size: 2.4rem;
}

/* 画像の角丸設定 (seki 202608) */
.c_img-round-l {
    border-radius: var(--radius-value-l);
	img {
		border-radius: var(--radius-value-l);
	}
}

/* 背景色の角丸設定 (seki 202608) */
.c_back-round-l {
	border-radius: var(--radius-value-l);
}
.c_back-round-s {
	border-radius: var(--radius-value-s);
}
.c_back-round-xs {
	border-radius: var(--radius-value-xs);
}

/* フォント色を設定 (seki 202608) */
.c_font-deepbrown {
    color: var(--maincolor-deepbrown);
}
.c_font-pink {
    color: var(--maincolor-pink);
}
.c_font-blue {
    color: var(--maincolor-blue);
}
.c_font-orange {
    color: var(--maincolor-orange);
}
.c_font-white {
    color: var(--maincolor-white);
}

/* 背景色を設定 (seki 202608) */
.c_back-beige {
	background-color: var(--maincolor-beige);
}
.c_back-pink {
	background-color: var(--maincolor-pink);
}
.c_back-blue {
	background-color: var(--maincolor-blue);
}
.c_back-red {
	background-color: var(--maincolor-red);
}
.c_back-gradationblue {
    background: linear-gradient( 90deg, var(--maincolor-white) 1%, var(--maincolor-blue) 100%);
}

/* マージンのリセット (seki 202608) */
.c_margin-reset-all {
    margin: 0 !important;
}

/* コンテナ内パディング設定 (seki 202608) */
.c_container-padding {
    padding: 50px;
}

/* h2見出しの装飾設定 (seki 202608) */
.c_h2deco-style {
    width: 60px;
    height: auto;
}

/* メディアとテキストブロックの設定 (seki 202608) */
@media screen and (max-width: 600px) {
    .wp-block-media-text__media {
        margin-bottom: var(--margin-s-sp) !important;
    }
}

/* ウェーブ背景の装飾設定 (seki 202608) */
.c_back-waveformtop {
	margin-bottom: 0;
}

/* CVボタン */
.c_cvbutton {
    a {
        border-radius: 200px;
        background: linear-gradient( 90deg, var(--maincolor-white) 1%, var(--maincolor-blue) 100%);
    }
    .vk_button_link_txt {
        color: var(--maincolor-deepbrown);
    }
}

/* アニメーション */
.anime_yurayura > img {
    transform-origin: center bottom;
    animation: yurayura 3s linear infinite;
}
@keyframes yurayura {
  0% , 100%{
      transform: rotate(8deg);
  }
  50%{
      transform: rotate(-8deg);
  }
}

 /*******************
個別スタイリング
*/

/* ヘッダーメニュー */
@media screen and (max-width: 600px) {
    .wp-block-navigation {
        background: var(--maincolor-pink);
        border-radius: var(--radius-value-s);
        padding: 5px;
    }
}

/* ヒーローイメージ */
.site-body {
    padding-top: 0;
}
.heroimg {
    margin-top: -30px;
}

/* しろひげの特徴 */
.featurecontainer {
    position: relative;
}
.usako-illustration1 {
    img {
        height: 190px;
        width: auto;
        top: -80px;
        left: -30px;
        position: absolute;
        z-index: 10;
    }
}
@media screen and (max-width: 600px) {
    .usako-illustration1 > img {
        height: 130px;
        width: auto;
        top: -80px;
        left: 0px;
        position: absolute;
        z-index: 10;
    }
}

/* 随行看護師お仕事の魅力 */
.charmcontainerall {
    position: relative;
}
.usako-illustration2 {
    img {
        height: 210px;
        width: auto;
        bottom: -30px;
        right: 30px;
        position: absolute;
        z-index: 10;
    }
}
@media screen and (max-width: 600px) {
    .usako-illustration2 > img {
        height: 130px;
        width: auto;
        position: absolute;
        z-index: 10;
    }
}
.charmcontainer1 {
    position: relative;
}
.charmcontainer1::before {
	content: 'Point1';
    font-family: "Homemade Apple", serif;
    font-size: 2.4rem;
    color: var(--maincolor-pink);
	position: absolute;
	top: -30px;
	left: -10px;
    transform: rotate(-10deg);
}
.charmcontainer2 {
    position: relative;
}
.charmcontainer2::before {
	content: 'Point2';
    font-family: "Homemade Apple", serif;
    font-size: 2.4rem;
    color: var(--maincolor-blue);
	position: absolute;
	top: -30px;
	right: -10px;
    transform: rotate(-10deg);
}

/* しろひげ看護師の声 */
.voicetitle1, .voicetitle2, .voicetitle3 {
    position: relative;
}
.voicetitle1::before, .voicetitle2::before, .voicetitle3::before {
    font-family: "Homemade Apple", serif;
    font-size: 2.4rem;
	position: absolute;
	top: -40px;
	left: -10px;
    transform: rotate(-10deg);
}
.voicetitle1::before {
    content: 'Voice1';
    color: var(--maincolor-pink);
}
.voicetitle2::before {
    content: 'Voice2';
    color: var(--maincolor-blue);
}
.voicetitle3::before {
    content: 'Voice3';
    color: var(--maincolor-orange);
}

/* 1日のスケジュール */
.schedulecontainer {
    .vk_timeline_item_caption {
		font-family: "Zen Maru Gothic", serif !important;
		font-weight: 700 !important;
		font-size: 1.0rem;
        margin-bottom: 5px;
        color: var(--maincolor-deepbrown);
    }
	.vk_timeline_item_lineStyle-default::before {
		background: var(--maincolor-pink);
	}
}

/* 募集要項 */
.requirementbox-2ndver > table {
	td:first-of-type {
		background-color: var(--maincolor-pink);
		font-family: "Zen Maru Gothic", serif;
		font-weight: 700;
		color: var(--maincolor-deepbrown);
	}
}

/* ギャラリースライダー */
.slidercontainer {
    position: relative;
}
.sliderdecotext {
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 3.0rem;
    transform: rotate(-10deg);
    z-index: 10;
}

/* エントリーフォームのスタイル修正 */
/* 項目の見出し修正 */
.form__itemtitle--style {
	font-weight: 700;
}
.form__itemtitle--layout {
	margin-bottom: 4px;
}
.form__required--style {
	background-color: #FF7070;
	color: var(--maincolor-white);
}
.form__required--layout {
	padding-left: 8px;
	padding-right: 8px;
	border-radius: 2px;
	margin-left: 5px;
}
/* fieldsetタグのスタイル修正 */
.page-id-158, .home {
	fieldset {
		 border: none;
		 padding-left: 0px;
	}
}
/* labelタグのスタイル修正 */
.page-id-158, .home {
	p:has(> .form__singleformlabel--layout) {
		 display: none;
	}
}
/* 「生年月日」のスタイル修正 */
.your-birth-year, .your-birth-month, .your-birth-day {
	width: 18vw;
}
.form__yeartext--layout, .form__monthtext--layout, .form__daytext--layout {
	margin-left: 3px;
	margin-right: 7px;
}
/* プライバシーポリシーのスタイル修正 */
.form__lastcheck--layout {
	width: fit-content;
	margin-left: auto;
	margin-right: auto;
}
/* ボタンのスタイル修正 */
.form__checkbtn--layout {
	width: fit-content;
	margin-left: auto;
	margin-right: auto;
	.wpcf7-spinner {
        background-color: var(--maincolor-blue);
		display: none;
	}
}
.form__checkbtn--style {
	input {
		 border-radius: 50px;
	}
}

/*上に戻るボタン非表示*/
#page_top {
    display: none;
}

/* サンクスページ */
/* 背景画像の表示不具合を調整 */
.page-id-354 {
    background-size: cover !important;
}